package app.furmeet.events.system.helper

fun <T> Int.pluralize(none: T, single: T, more: T): T =
        when {
            this <= 0 -> none
            this == 1 -> single
            else -> more
        }

fun <T> Int.pluralize(single: T, more: T): T =
        when {
            this <= 1 -> single
            else -> more
        }